// CosinusTest.java                                 MM 2013

/**
 * Test der Klasse Cosinus.
 * @author Monika Meiler
 */
public class CosinusTest
{
/**
 * Berechnet fuer gegebene Argumente cos( x),
 * vergleicht mit Math.cos( x).
 */
  public static void main( String[] args)
  {
// Neue Funktion
    Cosinus cos = new Cosinus();

// Funktionsausgabe
    System.out.println();
    System.out.println( "f( x) = " + cos);

// Wertevergleich
    System.out.println();
    System.out.println
    ( "Vergleich von Cos( k * PI) = 1, k aus [ 0, 20]");

    double x = Math.PI;
    for( int k = 0; k < 21; k++)
    {
      System.out.println();
      System.out.println( "cos( " + x + ")");          // 1
      System.out.println
      ( "\tcos.wert      \t= " + cos.wert( x));
      System.out.println
      ( "\tMath.cos      \t= " + Math.cos( x));

      x += Math.PI;
    }

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                          // Testergebnisse
/*
Vergleich von Cos( k * PI) = 1, k aus [ 0, 20]

cos( 3.141592653589793)
	cos.wert      	= -1.0
	Math.cos      	= -1.0

cos( 6.283185307179586)
	cos.wert      	= 1.0
	Math.cos      	= 1.0

cos( 9.42477796076938)
	cos.wert      	= -1.0
	Math.cos      	= -1.0

cos( 12.566370614359172)
	cos.wert      	= 1.0
	Math.cos      	= 1.0

cos( 15.707963267948966)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 18.84955592153876)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 21.991148575128552)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 25.132741228718345)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 28.274333882308138)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 31.41592653589793)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 34.55751918948772)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 37.69911184307752)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 40.840704496667314)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 43.98229715025711)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 47.12388980384691)
	cos.wert      	= -1.0
	Math.cos      	= -1.0

cos( 50.265482457436704)
	cos.wert      	= 1.0
	Math.cos      	= 1.0

cos( 53.4070751110265)
	cos.wert      	= -1.0
	Math.cos      	= -1.0

cos( 56.5486677646163)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 59.690260418206094)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0

cos( 62.83185307179589)
	cos.wert      	= 1.0000000000000002
	Math.cos      	= 1.0

cos( 65.97344572538569)
	cos.wert      	= -1.0000000000000002
	Math.cos      	= -1.0
*/