// CotangensTest.java                               MM 2013

/**
 * Test der Klasse Cotangens.
 * @author Monika Meiler
 */
public class CotangensTest
{
/**
 * Berechnet fuer gegebene Argumente cot( x),
 * vergleicht Ergebnis mit 1/Math.tan( x).
 */
  public static void main( String[] args)
  {
// Neue Funktion
    Cotangens cot = new Cotangens();

// Funktionsausgabe
    System.out.println();
    System.out.println( "f( x) = " + cot);

// Wertevergleich
    System.out.println();
    System.out.println
    ( "Werteberechnung: 0, 15, 30, 45, 60, 75, 90 grad");

    double x = 0;
    for( int k = 0; k < 7; k++)
    {
      System.out.println();
      System.out.println( "cot( " + x + ")");
      System.out.println
      ( "\tcot.wert      \t= " + cot.wert( x));
      System.out.println
      ( "\t1 / Math.tan  \t= " + 1 / Math.tan( x));

      x += Math.PI / 12;                       // + 15 grad
    }

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                          // Testergebnisse
/*
Werteberechnung: 0, 15, 30, 45, 60, 75, 90 grad

cot( 0.0)
	cot.wert       	= Infinity
	1 / Math.tan  	= Infinity

cot( 0.2617993877991494)
	cot.wert       	= 3.7320508075688776
	1 / Math.tan  	= 3.7320508075688776

cot( 0.5235987755982988)
	cot.wert       	= 1.7320508075688774
	1 / Math.tan  	= 1.7320508075688774

cot( 0.7853981633974483)
	cot.wert       	= 1.0
	1 / Math.tan  	= 1.0000000000000002

cot( 1.0471975511965976)
	cot.wert       	= 0.5773502691896263
	1 / Math.tan  	= 0.577350269189626

cot( 1.308996938995747)
	cot.wert       	= 0.26794919243112286
	1 / Math.tan  	= 0.2679491924311229

cot( 1.5707963267948963)
	cot.wert       	= 0.0
	1 / Math.tan  	= 2.83276944882399E-16
*/