// RationaleFunktionenBerechner.java                MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Berechnet rationale Funktionen.
 * @author Monika Meiler
 */
public class RationaleFunktionenBerechner
{
/**
 * Funktionsberechner:
 * Funktionseingabe, Werttabelle, Ergebnisausgabe.
 */
  public static void main( String[] args)
  {
// Ueberschrift
    System.out.println();
    System.out.println( "Funktionsberechner");

// Dialog
    char weiter = 'j';
    do
    {
// Neue Funktion
      System.out.println();
      RationaleFunktion f = new RationaleFunktion();
      if( f.konsolenEingabe())           // Eingabe korrekt
      {
// Funktionsausgabe
        System.out.println();
        System.out.println( "f( x) = " + f);

        do
        {
// Argumenteingabe
          System.out.println();
          System.out.println( "Wertberechnung");
          double x0 = IOTools.readDouble( " x0 = ");
          System.out.println( " " + x0);

// Wertberechnung 
          double y0 = f.wert( x0);

// Ausgabe
          System.out.print( " f( " + x0 + ")  = " + y0);
          System.out.println();

// Weiter
          weiter = IOTools.readChar( "Neues Argument (j/n)? ");
        } while( weiter == 'j');
      }

      weiter = IOTools.readChar( "Neue Funktion (j/n)? ");
    } while( weiter == 'j');

// Programm beendet
    System.out.println();
    System.out.println( "Programm beendet");
  }
}

/* ----------------------------------------------------- */
                                           // Testbeispiele
/*
f( x) = ( 1.0 ) / ( 1.0 + 1.0 x^1 )
Wertberechnung
 x0 =  1.0
 f( 1.0)	= 0.5

 x0 =  0.0
 f( 0.0)	= 1.0

 x0 =  -1.0
 f( -1.0)	= Infinity

 x0 =  -2.0
 f( -2.0)	= -1.0

f( x) = ( -1.0 + 0.0 x^1 + 1.0 x^2 ) 
      / (  1.0 + 0.0 x^1 + 1.0 x^2 )
Wertberechnung
 x0 =  0.0
  f( 0.0)	= -1.0

 x0 =  1.0
 f( 1.0)	= 0.0
*/
