// ArctanTest.java                                  MM 2013

/**
 * Test der Klasse Arctan.
 * @author Monika Meiler
 */
public class ArctanTest
{
/**
 * Berechnet die Funktion f( x) = arctan( x) fuer
 * gegebene x, vergleicht Ergebnis mit Math.atan( x).
 */
  public static void main( String[] args)
  {
// Arcustangensfunktion
    Arctan arctan = new Arctan();

// Funktionsausgabe
    System.out.println();
    System.out.println( "f( x) = " + arctan);

// Ueberschrift
   System.out.println( "Berechne x = f( f^-1( x))");

// Tangensfunktion
    Tangens tan = new Tangens();


// Wertetabelle
    System.out.println();
    System.out.println
    ( "Bereich [ 0, 2], Schrittweite 0.25");

    for( double x = 0; x <= 2; x += 0.25)
    {
      System.out.println();
      System.out.println( x + ": ");

// Werteberechnung
      double y1 = arctan.wert( x);
      double y2 = Math.atan( x);
      double y3 = tan.wert( y1);

// Ausgabe
      System.out.println
      ( "\tarctan.wert\t = " + y1);
      System.out.println
      ( "\tMath.atan\t = " + y2);
      System.out.println
      ( "\ttan.wert( arctan.wert( " + x + ")) \t= " + y3);
    }

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                           // Testbeispiele
/*
f( x) = arctan( x)
Berechne x = f( f^-1( x))

Bereich [ 0, 2], Schrittweite 0.25

0.0: 
	arctan.wert                     = 0.0
	Math.atan                       = 0.0
	tan.wert( arctan.wert( 0.0))= 0.0

0.25: 
	arctan.wert                     = 0.2449786631268641
	Math.atan                       = 0.24497866312686414
	tan.wert( arctan.wert( 0.25))= 0.24999999999999997

0.5: 
	arctan.wert                     = 0.4636476090008061
	Math.atan                       = 0.4636476090008061
	tan.wert( arctan.wert( 0.5))= 0.5

0.75: 
	arctan.wert                     = 0.6435011087932844
	Math.atan                       = 0.6435011087932844
	tan.wert( arctan.wert( 0.75))= 0.7499999999999999

1.0: 
	arctan.wert                     = 0.7853981633974485
	Math.atan                       = 0.7853981633974483
	tan.wert( arctan.wert( 1.0))= 1.0000000000000002

1.25: 
	arctan.wert                     = 0.8960553845713438
	Math.atan                       = 0.8960553845713439
	tan.wert( arctan.wert( 1.25))= 1.2499999999999996

1.5: 
	arctan.wert                     = 0.9827937232473289
	Math.atan                       = 0.982793723247329
	tan.wert( arctan.wert( 1.5))= 1.4999999999999987

1.75: 
	arctan.wert                     = 1.051650212548373
	Math.atan                       = 1.0516502125483738
	tan.wert( arctan.wert( 1.75))= 1.7499999999999976

2.0: 
	arctan.wert                     = 1.1071487177940906
	Math.atan                       = 1.1071487177940904
	tan.wert( arctan.wert( 2.0))= 2.0

Test beendet
*/