// PolynomTest.java                                 MM 2013

/**
 * Test der Klasse Polynom.
 * @author Monika Meiler
 */
public class PolynomTest
{
/**
 * Erzeugt Polynom und
 * berechnet fuer gegebene Argumente Funktionswerte.
 */
  public static void main( String[] args)
  {
// Neues Polynom (Normalfall)
    double[] koeff1 = { -9, 3, -5, 0, -1, 2};
    Polynom p1 = new Polynom();
    if( p1.setPolynom( koeff1))          // Eingabe korrekt
      System.out.println( "p1( x) = " + p1);
    else
      System.out.println
      ( "Polynom p1( x) nicht definiert");

// Neues Polynom (keine Koeffizienten)
    double[] koeff2 = {};
    Polynom p2 = new Polynom();
    if( p2.setPolynom( koeff2))          // Eingabe korrekt
      System.out.println( "p2( x) = " + p2);
    else
      System.out.println
      ( "Polynom p2( x) nicht definiert");

// Neues Polynom (Nullpointer)
    double[] koeff3 = null;
    Polynom p3 = new Polynom();
    if( p3.setPolynom( koeff3))          // Eingabe korrekt
      System.out.println( "p3( x) = " + p3);
    else
      System.out.println( "Polynom p3( x) nicht definiert");

// Werteberechnung
    System.out.println();
    System.out.println( "Wertberechnungen");

    double y0 = p1.wert( 3);
    double y1 = p1.wertErsteAbleitung( 3);

// Ausgabe
    System.out.print( " p1( " + 3 + ")  = " + y0);
    System.out.println( "\t\tp1'( " + 3 + ") = " + y1);

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                          // Testergebnisse
/*
p1( x) = -9.0 + 3.0 x^1 + -5.0 x^2 + 0.0 x^3 + -1.0 x^4
         + 2.0 x^5
Polynom p2( x) nicht definiert
Polynom p3( x) nicht definiert

Wertberechnungen
 p1( 3)  = 360.0		p1'( 3) = 675.0
*/