// TangensTest.java                                 MM 2013

/**
 * Test der Klasse Tangens.
 * @author Monika Meiler
 */
public class TangensTest
{
/**
 * Berechnet fuer gegebene Argumente tan( x),
 * vergleicht Ergebnis mit Math.tan( x).
 */
  public static void main( String[] args)
  {
// Neue Funktion
    Tangens tan = new Tangens();

// Funktionsausgabe
    System.out.println();
    System.out.println( "f( x) = " + tan);

// Wertevergleich
    System.out.println();
    System.out.println
    ( "Werteberechnung: 0, 15, 30, 45, 60, 75, 90 grad");

    double x = 0;
    for( int k = 0; k < 7; k++)
    {
      System.out.println();
      System.out.println( "tan( " + x + ")");
      System.out.println
      ( "\tTangens tan   \t= " + tan.wert( x));
      System.out.println
      ( "\tMath.tan      \t= " + Math.tan( x));

      x += Math.PI / 12;                       // + 15 grad
    }

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                          // Testergebnisse
/*
Werteberechnung: 0, 15, 30, 45, 60, 75, 90 grad

tan( 0.0)
	Tangens tan   	= 0.0
	Math.tan      	= 0.0

tan( 0.2617993877991494)
	Tangens tan   	= 0.2679491924311227
	Math.tan      	= 0.2679491924311227

tan( 0.5235987755982988)
	Tangens tan   	= 0.5773502691896257
	Math.tan      	= 0.5773502691896257

tan( 0.7853981633974483)
	Tangens tan   	= 1.0
	Math.tan      	= 0.9999999999999999

tan( 1.0471975511965976)
	Tangens tan   	= 1.7320508075688759
	Math.tan      	= 1.7320508075688767

tan( 1.308996938995747)
	Tangens tan   	= 3.732050807568875
	Math.tan      	= 3.7320508075688745

tan( 1.5707963267948963)
	Tangens tan   	= Infinity
	Math.tan      	= 3.5301143212171575E15
*/