// ArctanBerechner.java                             MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Berechnet arctan.
 * @author Monika Meiler
 */
public class ArctanBerechner
{
/**
 * Arcustangensberechner:
 * Argumenteingabe, Wertberechnung, Ergebnisausgabe.
 */
  public static void main( String[] args)
  {
// Ueberschrift
    System.out.println();
    System.out.println( "Arcustangensberechner");

// Arcustangensfunktion
    Arctan arctan = new Arctan();

// Tangensfunktion
    Tangens tan = new Tangens();

// Dialog
    char weiter = 'j';
    do
    {
// Argumenteingabe
      System.out.println();
      System.out.println( "Wertberechnung");
      double x = IOTools.readDouble( "x = ");
      System.out.println( x);

// Werteberechnung
      double y1 = arctan.wert( x);
      double y2 = Math.atan( x);
      double y3 = tan.wert( y1);

// Ausgabe
      System.out.println
      ( "\tarctan.wert\t = " + y1);
      System.out.println
      ( "\tMath.atan\t = " + y2);
      System.out.println
      ( "\ttan.wert( arctan.wert( " + x + ")) \t= " + y3);

      // Weiter
      System.out.println();
      weiter = IOTools.readChar( "Neues Argument (j/n)? ");
    } while( weiter == 'j');

// Programm beendet
    System.out.println();
    System.out.println( "Programm beendet");
  }
}

/* ----------------------------------------------------- */
                                           // Testbeispiele
/*
Arcustangensberechner

Wertberechnung
x = 0.0
	arctan.wert                     = 0.0
	Math.atan                       = 0.0
	tan.wert( arctan.wert( 0.0))    = 0.0

x = 0.2679491924311227
	arctan.wert                     = 0.2617993877991494
	Math.atan                       = 0.2617993877991494
	tan.wert( arctan.wert( 0.2679491924311227))
                                        = 0.2679491924311227

x = 0.32491969623290634
	arctan.wert                     = 0.31415926535897937
	Math.atan                       = 0.3141592653589793
	tan.wert( arctan.wert( 0.32491969623290634))
                                        = 0.32491969623290645

x = 0.41421356237309503
	arctan.wert                     = 0.39269908169872425
	Math.atan                       = 0.39269908169872414
	tan.wert( arctan.wert( 0.41421356237309503))
                                        = 0.41421356237309503

x = 0.5773502691896257
	arctan.wert                     = 0.5235987755982986
	Math.atan                       = 0.5235987755982988
	tan.wert( arctan.wert( 0.5773502691896257))
                                        = 0.5773502691896255

x = 0.7265425280053609
	arctan.wert                     = 0.6283185307179586
	Math.atan                       = 0.6283185307179586
	tan.wert( arctan.wert( 0.7265425280053609))
                                        = 0.726542528005361

x = 1.0
	arctan.wert                     = 0.7853981633974485
	Math.atan                       = 0.7853981633974483
	tan.wert( arctan.wert( 1.0))	= 1.0000000000000002

x = 1.7320508075688772
	arctan.wert                     = 1.0471975511965972
	Math.atan                       = 1.0471975511965976
	tan.wert( arctan.wert( 1.7320508075688772))
                                        = 1.7320508075688754

x = 10.0
	arctan.wert                     = 1.4711276743037345
	Math.atan                       = 1.4711276743037347
	tan.wert( arctan.wert( 10.0))	= 10.00000000000002

Programm beendet
*/